//
// TriggerWatchdog
//
// Uses the watchdog timer to trigger a hardware reset of the system.
//
// ADS/ak 22nov04 
//
// 4-Dec-2002 710020-11381
//  - Initial release with MFC user interface
// 17-Dec-2002 710020-11382
//  - Update the watchdog class:
//    add header and comment, update user messages and variable names, 
//     allow timer to get reinitialized repeatedly
// 710020-11383
//  - Restructure to headless application
//  - Rename to TriggerWatchdog: resets watchdog after 1 second
// 29jan07 710020-11384 ak
// - add time/date stamp of reset, app version, build time and additional 
//   output messages
//

#include "stdafx.h"
#include "watchdog.h"

#define APP_VERSION   TEXT("710020-11384")
#define WD_TIMEOUT    1

int WINAPI WinMain(	HINSTANCE hInstance,
					HINSTANCE hPrevInstance,
					LPTSTR    lpCmdLine,
					int       nCmdShow)
{
  SYSTEMTIME time;

	RETAILMSG(1,(L"\r\nTriggerWatchdog.exe \r\n"));
  RETAILMSG (1, (L"ADS sample %s built %s %s\r\n",APP_VERSION, TEXT(__DATE__), TEXT(__TIME__))); 

  GetLocalTime(&time);
  RETAILMSG(1, (TEXT("Time now: %02d/%02d/%d  %2d:%02d:%02d \r\n"),time.wMonth, time.wDay, time.wYear, time.wHour, time.wMinute, time.wSecond));

  RETAILMSG(1, (TEXT("Initializing watchdog to trigger in %d second(s)...\r\n"), WD_TIMEOUT));

  WatchDog *wd = new WatchDog(WD_TIMEOUT); // set time till watchdog triggers, in seconds
 
	RETAILMSG(1,(L"Waiting for watchdog reset....\r\n"));

	return 0;
}

